%define name    cryptmount
%define version 4.2.1
%define release %mkrel 1

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    A utility for accessing encrypted filesystems
License:    GPLv3
Group:      System/Kernel and hardware
URL:        http://cryptmount.sourceforge.net/
Source0:    http://sourceforge.net/projects/cryptmount/files/cryptmount/cryptmount-%{version}/cryptmount-%{version}.tar.gz
Patch0:     cryptmount-4.2-allow-non-root-build.patch
BuildRequires:  device-mapper-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libuuid-devel
BuildRequires:  gettext-devel

%description
cryptmount is a utility for GNU/Linux operating systems which allows an
ordinary user to mount an encrypted filing system without requiring superuser
privileges. It is aimed at recent Linux systems using the 2.6 kernel series.

%prep
%setup -q
%patch0 -p 1

%build
autoreconf -fi
%configure2_5x
%__make

%install
rm -rf %{buildroot}
%makeinstall_std -k
rm -f %{buildroot}%{_sysconfdir}/cryptmount/cmtab.example

%find_lang %{name}

%files -f %{name}.lang
%doc README README.OpenSSL RELNOTES NEWS INSTALL COPYING ABOUT-NLS AUTHORS
%doc ChangeLog cmtab.example
%dir %{_sysconfdir}/cryptmount
%config(noreplace) %{_sysconfdir}/cryptmount/cmtab
%{_sbindir}/cryptmount-setup
%{_bindir}/cryptmount
%{_libdir}/cryptmount
%{_mandir}/man5/cmtab.5*
%{_mandir}/man8/cryptmount.8*
%{_mandir}/man8/cryptmount-setup.8*
%{_mandir}/fr/man5/cmtab.5*
%{_mandir}/fr/man8/cryptmount.8*



%changelog

* Mon Oct 31 2011 guillomovitch <guillomovitch> 4.2.1-1.mga2
+ Revision: 160551
- new version
- imported package cryptmount


* Thu Aug 25 2011 Guillaume Rousse <guillomovitch@mandriva.org> 4.2-1.mga2
- initial mageia release
